Create firewall rule#
ベアメタル用のファイアーウォールルールを作成します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://nfv.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://nfv.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
POST
/fw/nfv/firewall_rules
HTTPステータスコード#
正常時:202
エラー時:400
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| firewall_rule | body | object | 必須 | ファイアーウォールルールのオブジェクト |
| action | body | string | 必須 | ファイアーウォールルールに適合した場合の動作 以下を指定できます。 - allow - deny |
| description | body | string | 任意 | ファイアーウォールルールの説明 |
| destination_ip_address | body | string | 必須 | 宛先IPアドレスまたはCIDR |
| destination_port | body | string | 任意 | 宛先ポート番号 |
| active | body | boolean | true 任意 |
ファイアーウォールルールの有効/無効 「true」が有効で、「false」が無効です。 |
| ip_version | body | string | IPv4 任意 |
IPアドレスのバージョン指定 IPv4だけが指定可能です。 |
| name | body | string | 必須 | ファイアーウォールルールの名前 |
| protocol | body | string | any 任意 |
プロトコル指定 ファイアーウォールルールでプロトコルを指定する場合は設定を行います。以下を設定できます。 - any - tcp - udp - icmp |
| source_ip_address | body | string | 必須 | 送信元IPアドレスまたはCIDR |
| source_port | body | string | 任意 | 送信元ポート番号 |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| firewall_rule | string | ファイアーウォールルールのオブジェクト |
| action | string | ファイアーウォールルールに適合した場合の動作 |
| description | string | ファイアーウォールルールの説明 |
| destination_ip_address | string | 宛先IPアドレスまたはCIDR |
| destination_port | string | 宛先のポート番号 |
| active | boolean | ファイアーウォールルールの有効か無効が表示されます。 |
| ip_version | string | IPアドレスのバージョン IPv4だけが表示されます。 |
| name | string | ファイアーウォールルールの名前 |
| id | string | ファイアーウォールルールのID |
| protocol | string | ファイアーウォールルールに指定されているプロトコル |
| source_ip_address | string | 送信元IPアドレスまたはCIDR |
| source_port | string | 送信元ポート番号 |
リクエスト例#
{ "firewall_rule": { "action": "allow", "description": "Description", "destination_ip_address": "172.0.11.8", "destination_port": 80, "active": true, "ip_version": "IPv4", "name": "FW RuleName", "protocol": "tcp", "source_ip_address": "192.168.123.1", "source_port": 80 } }
レスポンス例#
{ "firewall_rule": { "id": "1643039", "action": "allow", "description": "Description", "destination_ip_address": "172.0.11.8", "destination_port": 80, "active": true, "ip_version": "IPv4", "name": "FW RuleName", "protocol": "tcp", "source_ip_address": "192.168.123.1", "source_port": 80 } }